FROM alpine:latest


ARG DB_URL
ARG CACHE_DIR
ARG OSU_BEATMAP_DIFFICULTY=1
ARG OSU_BEATMAPS=1
ARG OSU_BEATMAPSETS=1
ARG OSU_COUNTS=1
ARG OSU_DIFFICULTY_ATTRIBS=1
ARG OSU_SCORES=1
ARG OSU_USER_STATS=1
ARG OSU_BEATMAP_DIFFICULTY_ATTRIBS=0
ARG OSU_BEATMAP_FAILTIMES=0
ARG OSU_BEATMAP_PERFORMANCE_BLACKLIST=0
ARG OSU_USER_BEATMAP_PLAYCOUNT=0
ARG SAMPLE_USERS=0

ENV DB_URL=$DB_URL \
    CACHE_DIR=$CACHE_DIR \
    OSU_BEATMAP_DIFFICULTY=$OSU_BEATMAP_DIFFICULTY \
    OSU_BEATMAPS=$OSU_BEATMAPS \
    OSU_BEATMAPSETS=$OSU_BEATMAPSETS \
    OSU_COUNTS=$OSU_COUNTS \
    OSU_DIFFICULTY_ATTRIBS=$OSU_DIFFICULTY_ATTRIBS \
    OSU_SCORES=$OSU_SCORES \
    OSU_USER_STATS=$OSU_USER_STATS \
    OSU_BEATMAP_DIFFICULTY_ATTRIBS=$OSU_BEATMAP_DIFFICULTY_ATTRIBS \
    OSU_BEATMAP_FAILTIMES=$OSU_BEATMAP_FAILTIMES \
    OSU_BEATMAP_PERFORMANCE_BLACKLIST=$OSU_BEATMAP_PERFORMANCE_BLACKLIST \
    OSU_USER_BEATMAP_PLAYCOUNT=$OSU_USER_BEATMAP_PLAYCOUNT \
    SAMPLE_USERS=$SAMPLE_USERS

WORKDIR $CACHE_DIR

RUN if [ -z "$DB_URL" ]; \
    then echo "DB_URL must be set." && exit 1; \
    fi

RUN apk add --no-cache tar bzip2

COPY osu.mysql.dl.entrypoint.sh /osu.mysql.dl.entrypoint.sh

RUN ["chmod", "+x", "/osu.mysql.dl.entrypoint.sh"]
ENTRYPOINT ["/osu.mysql.dl.entrypoint.sh"]
